Subject: bug#10389: 24.0.92; Emacs window needs resizing after Mac OS X monitor change

From: Jan Djärv <[email-masked]>
Date: Wed, 28 Dec 2011 11:29:47 +0100

Hello.

28 dec 2011 kl. 07:01 skrev Donald Tillman:

> Hi,
> 
> On Mac OS X, 10.6.8; I'm using a 15 inch MacBook Pro and a Cinema Display monitor.  I've got the Emacs window some reasonable size for the monitor.  Then, when I remove the monitor, so there's only the MacBook screen, the Emacs window is stuck sized too large, with parts of the window off screen.  If the upper left green button and the lower right diagonal corner are off screen, I can't resize the window.  And if the top of the window is off screen I can't move the window.
> 
> There's an easy enough workaround, fanblade-N to create a new window, but I didn't know that the first time this happened.

This happens also on any X port of Emacs, switching resolution does not make Emacs adjust its frames.  In some cases the window manager might adjust Emacs size, but Emacs itself does nothing.   Don't know what happens on w32.  AFAIK, it has been like this forever.

Do we want a change in Emacs here?

	Jan D.